package fr.soleil.docking.vl.view;

import java.awt.Component;

import javax.swing.Icon;
import javax.swing.JComponent;

import fr.soleil.docking.view.AbstractViewFactory;
import fr.soleil.docking.view.IView;
import fr.soleil.docking.vl.SoleilDockingDesktop;

public class VlDockViewFactory extends AbstractViewFactory {

    public VlDockViewFactory() {
        super();
    }

    @Override
    protected IView createView(String title, Icon icon, Component component, Object id) {
        IView result = new VlDockView(title, icon, component, id);
        return result;
    }

    @Override
    protected void updateViewForDockingArea(IView view, JComponent dockingArea) {
        if ((view instanceof VlDockView) && (dockingArea instanceof SoleilDockingDesktop)) {
            VlDockView vlDockView = (VlDockView) view;
            SoleilDockingDesktop dockingDesktop = (SoleilDockingDesktop) dockingArea;
            dockingDesktop.addDockable(vlDockView);
            vlDockView.setDockingDesktop(dockingDesktop);
        }
    }

}
